package com.fjs.scenic.service.system;

import com.fjs.scenic.dto.PermissionDto;
import com.fjs.scenic.entity.system.Permission;
import com.fjs.scenic.utils.ReturnResult;

import java.util.List;

/**
 * 管理员
 *
 * @author lfj
 * @version 1.0
 * @CreateDate ${date} ${time}
 */
public interface PermissionService {

    ReturnResult getPermissionTree();

    List<Permission> getAll();

    ReturnResult getParent();

    ReturnResult add(Permission permission);

    ReturnResult get(Integer id);

    ReturnResult update(Permission permission);

    ReturnResult del(int id);

    List<PermissionDto> getListByManageId(Integer id);
    
    /** 查詢所以非一级的菜单*/
	List<String> getPermissionAllNotParent();
	
	/** 查詢管理员拥有的权限菜单*/
	List<String> getPermissionsByManageId(Integer managerId);

    List<PermissionDto> getListByManageAccount(String account);
}
